MatrixInsertRowCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixInsertRowCommand:

## Public Member Functions

| MatrixInsertRowCommand (MatrixModel *model, int startRow, const QString &text)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

MatrixModel * | d_model
int | d_start_row

## Constructor & Destructor Documentation

## MatrixInsertRowCommand()

MatrixInsertRowCommand::MatrixInsertRowCommand | ( | MatrixModel * | model,
|  | int | startRow,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

## Member Function Documentation

## redo()

void MatrixInsertRowCommand::redo | ( |  | ) |

virtual

References d_model, d_start_row, and MatrixModel::insertRows().

## undo()

void MatrixInsertRowCommand::undo | ( |  | ) |

virtual

References d_model, d_start_row, and MatrixModel::removeRows().

## Member Data Documentation

## d_model

MatrixModel* MatrixInsertRowCommand::d_model

private

Referenced by redo(), and undo().

## d_start_row

int MatrixInsertRowCommand::d_start_row

private

Referenced by redo(), and undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp